---
title: ProgressEvent.total
slug: Web/API/ProgressEvent/total
tags:
  - API
  - Progress Event
  - ProgressEvent
  - Property
  - Reference
---
<div>{{APIRef("DOM Events")}}</div>

<p>The <code><strong>ProgressEvent.total</strong></code> read-only property is an unsigned 64-bit integer value indicating the total size of the data being processed or transmitted. In the case of an HTTP transmission, this is the size of the body of the message (the <code>Content-Length</code>), and does not include headers and other overhead.</p>

<p>If the event's {{domxref("ProgressEvent.lengthComputable", "lengthComputable")}} property is <code>false</code>, this value is meaningless and should be ignored.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let <em>value</em> = <em>progressEvent</em>.total;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('XMLHttpRequest', '#dom-progressevent-total', 'ProgressEvent.lengthComputable')}}</td>
   <td>{{Spec2('XMLHttpRequest')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ProgressEvent.total")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("ProgressEvent")}} interface it belongs to.</li>
</ul>
